<div>
    <div class="mat-elevation-z8">
        <table mat-table [dataSource]="dataSource" >
      
          <!-- id Column -->
          <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef > ID </th>
            <td mat-cell *matCellDef="let element" routerLink="users/{{element._id}}"> {{element._id}} </td>
          </ng-container>
      
          <!-- Name Column -->
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef> Name </th>
            <td mat-cell *matCellDef="let element"> {{element.name}} </td>
          </ng-container>
      
          <!-- age Column -->
          <ng-container matColumnDef="age">
            <th mat-header-cell *matHeaderCellDef > Age </th>
            <td mat-cell *matCellDef="let element"> {{element.age}} </td>
          </ng-container>
      
          <!-- adress Column -->
          <ng-container matColumnDef="address">
            <th mat-header-cell *matHeaderCellDef > Address </th>
            <td mat-cell *matCellDef="let element"> {{element.address}} </td>
          </ng-container>
    
          <!-- company Column -->
          <ng-container matColumnDef="company">
            <th mat-header-cell *matHeaderCellDef> Company </th>
            <td mat-cell *matCellDef="let element"> {{element.company}} </td>
          </ng-container>
    
           <!-- company email -->
           <ng-container matColumnDef="email">
            <th mat-header-cell *matHeaderCellDef > Email </th>
            <td mat-cell *matCellDef="let element"> {{element.email}} </td>
          </ng-container>
      
          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
      
      </div>
</div>
